အကြောင်းအရာသို့ ကျော်ရန်

Wan VACE Video Edit

ပေါင်းစည်းရန်

မော်ဒယ် id wan-vace-apps/video-edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-vace-apps/video-edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

နမူနာကဲ့သို့ ဖိုင်များ: ၁.၈၇၅ $ ၁,၈၇၅ API ခရက်ဒစ် လုပ်ဆောင်မီ သင့်ဖိုင်များကို တိုင်းတာသည် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Alibaba ဗီဒီယိုမှ ဗီဒီယို 720p အထိ #video-edit#wan-vace

ရိုးရှင်းသောဘာသာစကားဖြင့် ပေးထားသည့်ညွှန်ကြားချက်အတိုင်း ရှိပြီးသားဗီဒီယိုကို တည်းဖြတ်ခြင်း၊ ရွေးချယ်နိုင်သော ရည်ညွှန်းပုံများပါဝင်သည်

Alibaba · ဗီဒီယို

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

ဗီဒီယိုတည်းဖြတ်မှုများကို သတ်မှတ်သည့် ပရောမ့်။

•လိုအပ်သည် video_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

ထည့်သွင်းဗီဒီယို၏ URL။

resolution မူလ auto

တည်းဖြတ်ပြီးနောက် ထွက်ရလဒ်၏ ရုပ်ထွက်အရည်အသွေး။

aspect_ratio မူလ auto

တည်းဖြတ်ထားသောဗီဒီယို၏ အကျယ်နှင့် အမြင့်အချိုး။

အဆင့်မြင့် images · video_type · acceleration · auto_downsample_min_fps · enable_auto_downsample · enable_safety_checker · return_frames_zip
image_urls မူလ []
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

ဖန်တီးမှုအတွက် မြင်ကွင်းဆိုင်ရာ ကိုးကားချက်များပေးသည့် ထည့်သွင်းပုံ URL များ။

video_type မူလ auto

တည်းဖြတ်ရန် ဗီဒီယိုအမျိုးအစားဖြစ်ပြီး မူလတန်ဖိုး 'auto' အတိုင်းထားပါက ပထမဖရိမ်မှ ခန့်မှန်းသည်။ လူများနှင့် ၎င်းတို့၏ လှုပ်ရှားမှုများကို အာရုံစိုက်ရန် 'human'၊ အခြားဗီဒီယိုအများစုအတွက် 'general' ကို ရွေးချယ်ပါ။

acceleration မူလ regular

Inference အရှိန်မြှင့်ခြင်း setting။ 'none' သို့မဟုတ် 'regular' ရွေးချယ်နိုင်သည်။ အရှိန်မြှင့်လုပ်ဆောင်ခြင်းသည် ထွက်ရလဒ် အနည်းငယ်သာပြောင်းလဲသည့်အတွက် အမြန်နှုန်း သိသိသာသာ တိုးတက်စေသည်။

မူလ 15

ဗီဒီယို downsampling အတွက် အနိမ့်ဆုံး ရည်မှန်းဖရိမ်နှုန်း၊ တစ်စက္ကန့်လျှင် ဖရိမ်အဖြစ် သတ်မှတ်သည်။

POST /run/wan-vace-apps/video-edit?wait=20 ကုန်ကျစရိတ် → ၁.၈၇၅ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-vace-apps/video-edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Wan VACE Video Edit အကြောင်း

`prompt` ညွှန်ကြားချက်နှင့် `video_url` ကို လက်ခံပြီး တည်းဖြတ်ထားသော ဗီဒီယိုကို ပြန်ပေးသည်။ `video_type` သည် auto၊ general သို့မဟုတ် human ဖြစ်နိုင်ပြီး နောက်ဆုံးတန်ဖိုးမှာ လူများကို အဓိကထားသော ရုပ်သံဖိုင်များအတွက် ဖြစ်သည်။ ကိုးကားပုံများကို `image_urls` တွင် ထည့်ပါ။ အချိုးနှင့် `resolution` (240p မှ 720p အထိ) ကို သတ်မှတ်နိုင်ပြီး အလိုအလျောက် အရွယ်လျှော့ခြင်းက ရှည်လျားသော သို့မဟုတ် ဖရိမ်နှုန်းမြင့် ထည့်သွင်းချက်များကို ကူညီပေးသည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
promptလိုအပ်သည်
အမျိုးအစားstring
ဗီဒီယိုတည်းဖြတ်မှုများကို သတ်မှတ်သည့် ပရောမ့်။
video_urlလိုအပ်သည် video
အမျိုးအစားurl · video
ထည့်သွင်းဗီဒီယို၏ URL။
video_typeရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးauto
autogeneralhuman
တည်းဖြတ်ရန် ဗီဒီယိုအမျိုးအစားဖြစ်ပြီး မူလတန်ဖိုး 'auto' အတိုင်းထားပါက ပထမဖရိမ်မှ ခန့်မှန်းသည်။ လူများနှင့် ၎င်းတို့၏ လှုပ်ရှားမှုများကို အာရုံစိုက်ရန် 'human'၊ အခြားဗီဒီယိုအများစုအတွက် 'general' ကို ရွေးချယ်ပါ။
image_urlsရွေးချယ်နိုင်သည် images
အမျိုးအစားurl[] · image
မူလတန်ဖိုး[]
ဖန်တီးမှုအတွက် မြင်ကွင်းဆိုင်ရာ ကိုးကားချက်များပေးသည့် ထည့်သွင်းပုံ URL များ။
resolutionရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးauto
auto240p360p480p580p720p
တည်းဖြတ်ပြီးနောက် ထွက်ရလဒ်၏ ရုပ်ထွက်အရည်အသွေး။
accelerationရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးregular
nonelowregular
Inference အရှိန်မြှင့်ခြင်း setting။ 'none' သို့မဟုတ် 'regular' ရွေးချယ်နိုင်သည်။ အရှိန်မြှင့်လုပ်ဆောင်ခြင်းသည် ထွက်ရလဒ် အနည်းငယ်သာပြောင်းလဲသည့်အတွက် အမြန်နှုန်း သိသိသာသာ တိုးတက်စေသည်။
enable_auto_downsampleရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
ရှည်လျားသောဗီဒီယိုများ သို့မဟုတ် ဖရိမ်နှုန်းမြင့်ဗီဒီယိုများကို လုပ်ဆောင်ရာတွင် ပိုရှည်သော ဖန်တီးထားသည့် အစီအစဉ်များကို ခွင့်ပြုရန် downsampling ကို ဖွင့်ပါ။ လျှော့ချမှုကို အလိုအလျောက်ပြုလုပ်ပြီး ဖန်တီးပြီးနောက် interpolation ဖြင့် မူရင်းဖရိမ်နှုန်းကို ပြန်လည်ရယူသည်။
aspect_ratioရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးauto
auto16:99:161:1
တည်းဖြတ်ထားသောဗီဒီယို၏ အကျယ်နှင့် အမြင့်အချိုး။
auto_downsample_min_fpsရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး15
၁ – ၆၀
ဗီဒီယို downsampling အတွက် အနိမ့်ဆုံး ရည်မှန်းဖရိမ်နှုန်း၊ တစ်စက္ကန့်လျှင် ဖရိမ်အဖြစ် သတ်မှတ်သည်။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
လုံခြုံရေးစစ်ဆေးမှု ဖွင့်ထားခြင်း ရှိ၊ မရှိ ထိန်းချုပ်သည်။
return_frames_zipရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
ဖန်တီးထားသော ဖရိမ်အားလုံးကို ZIP archive ထဲတွင်လည်း ထည့်မထည့်ကို ထိန်းချုပ်သည်။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan-vace-apps/video-edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1875,
    "usd": "1.875",
    "charged": 1875,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "frames_zip": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}တည်းဖြတ်မှုမှ ရရှိသော ဗီဒီယို။
frames_zip
object {url, content_type, file_name, file_size} | nullတောင်းဆိုထားပါက ပြန်ပေးသည့် ဖန်တီးထားသော ဖရိမ်များပါ ZIP ဖိုင်။

နောက်ထပ် မော်ဒယ်များ: ဗီဒီယိုမှ ဗီဒီယို

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/wan-vace-apps/video-edit.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt